| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
HDF5::ArrayNDTool< T > Class Template Reference

`#include <hdf5arraynd.h>`

## Public Member Functions
| ArrayNDTool (ArrayND< T > &arrnd)
| ArrayNDTool (const ArrayND< T > &arrnd)
| ~ArrayNDTool ()
uiRetVal | createDataSet (Writer &, const DataSetKey &)
| creates appropriate dataset
uiRetVal | getAll (const DataSetKey &, Reader &)
uiRetVal | getSlab (const DataSetKey &, Reader &, const SlabSpec &)
| SlabSpec in file goes to (0,0,...) in arr.
T * | getWorkArray (uiRetVal &)
uiRetVal | put (Writer &, const DataSetKey &)
| if necessary, creates dataset
uiRetVal | putAll (Writer &, const DataSetKey &)
uiRetVal | putSlab (Writer &, const DataSetKey &, const SlabSpec &)

## Static Public Member Functions
static ArrayND< T > * | createArray (const DataSetKey &, Reader &)

## Public Attributes
ArrayND< T > & | arrnd_
| mTypeDefArrNDTypes
T * | workarr_ = nullptr

## Constructor & Destructor Documentation

## ◆ ArrayNDTool() [1/2]

template<class T >

HDF5::ArrayNDTool< T >::ArrayNDTool | ( | const ArrayND< T > & | arrnd | ) |
| inline

## ◆ ArrayNDTool() [2/2]

template<class T >

HDF5::ArrayNDTool< T >::ArrayNDTool | ( | ArrayND< T > & | arrnd | ) |
| inline

## ◆ ~ArrayNDTool()

template<class T >

HDF5::ArrayNDTool< T >::~ArrayNDTool | ( |  | ) |
| inline

## Member Function Documentation

## ◆ createArray()

template<class T >

ArrayND< T > * HDF5::ArrayNDTool< T >::createArray | ( | const DataSetKey & | dsky,
|  | Reader & | rdr )
| inline static

## ◆ createDataSet()

template<class T >

uiRetVal HDF5::ArrayNDTool< T >::createDataSet | ( | Writer & | wrr,
|  | const DataSetKey & | dsky )
| inline

creates appropriate dataset

## ◆ getAll()

template<class T >

uiRetVal HDF5::ArrayNDTool< T >::getAll | ( | const DataSetKey & | dsky,
|  | Reader & | rdr )
| inline

## ◆ getSlab()

template<class T >

uiRetVal HDF5::ArrayNDTool< T >::getSlab | ( | const DataSetKey & | dsky,
|  | Reader & | rdr,
|  | const SlabSpec & | spec )
| inline

SlabSpec in file goes to (0,0,...) in arr.

## ◆ getWorkArray()

template<class T >

T * HDF5::ArrayNDTool< T >::getWorkArray | ( | uiRetVal & | uirv | ) |
| inline

## ◆ put()

template<class T >

uiRetVal HDF5::ArrayNDTool< T >::put | ( | Writer & | wrr,
|  | const DataSetKey & | dsky )
| inline

if necessary, creates dataset

## ◆ putAll()

template<class T >

uiRetVal HDF5::ArrayNDTool< T >::putAll | ( | Writer & | wrr,
|  | const DataSetKey & | dsky )
| inline

## ◆ putSlab()

template<class T >

uiRetVal HDF5::ArrayNDTool< T >::putSlab | ( | Writer & | wrr,
|  | const DataSetKey & | dsky,
|  | const SlabSpec & | spec )
| inline

put data from (0,0,...) into SlabSpec in file writes to current dataset

## Member Data Documentation

## ◆ arrnd_

template<class T >

ArrayND<T>& HDF5::ArrayNDTool< T >::arrnd_

## ◆ mTypeDefArrNDTypes

template<class T >

HDF5::ArrayNDTool< T >::mTypeDefArrNDTypes

## ◆ workarr_

template<class T >

T* HDF5::ArrayNDTool< T >::workarr_ = nullptr

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025